IntlCalendar::getTime
IntlCalendar::getType
IntlCalendar
PHP Manual

# IntlCalendar::getTimeZone

(PHP 5.5.0, PECL >= 3.0.0a1)

IntlCalendar::getTimeZone — Get the objectʼs timezone

### Description

public IntlTimeZone IntlCalendar::getTimeZone ( void )

Returns the IntlTimeZone object associated with this calendar.

### Parameters

This function has no parameters.

### Return Values

An IntlTimeZone object corresponding to the one used internally in this object.

### Examples

Example #1 IntlCalendar::getTimeZone()

`<?php
ini_set('date.timezone', 'Europe/Lisbon');
ini_set('intl.default_locale', 'en_US');
$cal = IntlCalendar::createInstance();
print_r($cal->getTimeZone());
$cal->setTimeZone('UTC');
print_r($cal->getTimeZone());
$cal = IntlCalendar::fromDateTime('2012-01-01 00:00:00 GMT+03:33');
print_r($cal->getTimeZone());`

The above example will output:

    IntlTimeZone Object
    (
        [valid] => 1
        [id] => Europe/Lisbon
        [rawOffset] => 0
        [currentOffset] => 3600000
    )
    IntlTimeZone Object
    (
        [valid] => 1
        [id] => UTC
        [rawOffset] => 0
        [currentOffset] => 0
    )
    IntlTimeZone Object
    (
        [valid] => 1
        [id] => GMT+03:33
        [rawOffset] => 12780000
        [currentOffset] => 12780000
    )

### See Also

- IntlCalendar::setTimeZone() - Set the timezone used by this calendar
- IntlCalendar::createInstance() - Create a new IntlCalendar
- IntlGregorianCalendar::__construct()

IntlCalendar::getTime
IntlCalendar::getType
IntlCalendar
PHP Manual